Subject: hpff: unstructured data in hpf

From: Tom Chyczewski <[email-masked]>
Date: Thu, 31 Oct 1996 09:37:21 -0500 (EST)

---------------------------------------------------------------------------
[email-masked] is a mailing list for announcements related to High
Performance Fortran.  Instructions for adding or deleting yourself
from this list appear at the bottom of this message.
---------------------------------------------------------------------------

I am interested in using HPF to parallelize a code that has an 
unstructured grid capability. As far as I know, there has been 
a limited amount of work done on HPF in this respect. Is anyone 
aware of an HPF compiler with this capability. Also, there has 
been some work on using the CM-5 to parallelize unstructured 
codes. In these cases, CMSSL routines have been used. Can some of 
the utilities available to convert CMF to HPF handle CMSSL 
functions? Finally, the serial version of the code I want to port 
is written in C++. I've heard of pC++ but don't know how far along 
it is or its availibility. I suspect I am better off converting the 
code to Fortran. Any comments? Am I better off abandoning data 
parallelism and going with message passing? The algorithm of the 
code is highly suited to data parallelism, but I am not qualified 
to work on any compiler extensions to HPF for unstructured grids.

Any suggestions would be appreciated.

Tom

PS: I'm fairly new to this mail list. I apologize in advance if these 
issues have already been discussed here.

---------------------------------------------------------------------------
To (un)subscribe to this list, send mail to [email-masked].  Leave
the subject line blank, and in the body put the line
(un)subscribe <email-address>
---------------------------------------------------------------------------